# SQUATTER

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
FILES

*

## NAME

squatter − create SQUAT indexes for mailboxes

## SYNOPSIS

squatter [ −C config-file ] [ −r ] [ −s ] [ −i ] [ −a ] [ −v ] mailbox...

## DESCRIPTION

Squatter creates a new SQUAT index for one or more IMAP mailboxes. The SQUAT index is a unified index of all of the header and body text of each message a given mailbox. This index is used to significantly reduce IMAP SEARCH times on a mailbox.

Squatter creates an index of ALL messages in the mailbox, not just those since the last time that it was run (i.e., it does NOT do incremental updates). Any messages appended to the mailbox after squatter is run, will NOT be included in the index. To include new messages in the index, squatter must be run again. For large and active mailboxes, it is recommended to run squatter periodically as an EVENT in cyrus.conf(5)

NOTE: Messages and mailboxes that have not been indexed CAN still be SEARCHed, just not as quickly as those with a SQUAT index.

Squatter reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

## OPTIONS

−C config-file

Read configuration options from config-file.

| −r |  | Recursively create indexes for all sub-mailboxes of the mailboxes or mailbox prefixes given as arguments.
| −s |  | Skip mailboxes whose index file is older than their current squat file (within a small time delta).
| −i |  | Incremental updates where squat indexes already exist.
| −a |  | Only create indexes for mailboxes which have the shared /vendor/cmu/cyrus-imapd/squat annotation set to "true".

The value of the /vendor/cmu/cyrus-imapd/squat annotation is inherited by all children of the given mailbox, so an entire mailbox tree can be indexed (or not indexed) by setting a single annotation on the root of that tree with a value of "true" (or "false"). If a mailbox does not have a /vendor/cmu/cyrus-imapd/squat annotation set on it (or does not inherit one), then the mailbox is not indexed. In other words, the implicit value of /vendor/cmu/cyrus-imapd/squat is "false".

| −v |  | Increase the verbosity of progress/status messages.

## FILES

/etc/imapd.conf /etc/cyrus.conf